export default SettingText;
declare function SettingText({ setting, onChange, disabled, autoFocus, errorMessage, fireOnChange, }: {
    setting: any;
    onChange: any;
    disabled: any;
    autoFocus: any;
    errorMessage: any;
    fireOnChange: any;
}): import("react/jsx-runtime").JSX.Element;
